Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | List of all members
bdist_apps Class Reference
Inheritance diagram for bdist_apps:

## Public Member Functions
| create_nsis (self, basename, build_dir, is_64bit)
| create_tarball (self, basename, build_dir, tar_compression)
| create_zip (self, basename, build_dir)
| finalize_options (self)
| initialize_options (self)
| run (self)

## Public Attributes
| dist_dir = os.path.join(os.getcwd(), 'dist')
dict | installers = {}
bool | skip_build = False

## Static Public Attributes
dict | DEFAULT_INSTALLERS
str | description = 'bundle built Panda3D applications into distributable forms'
| user_options

## Protected Member Functions
| _build_apps_options (self)
| _get_archive_basedir (self)

## Member Function Documentation

## ◆ _build_apps_options()

_build_apps_options | ( |  | self | ) |
| protected

## ◆ _get_archive_basedir()

_get_archive_basedir | ( |  | self | ) |
| protected

## ◆ create_nsis()

create_nsis | ( |  | self,
|  |  | basename,
|  |  | build_dir,
|  |  | is_64bit )

## ◆ create_tarball()

create_tarball | ( |  | self,
|  |  | basename,
|  |  | build_dir,
|  |  | tar_compression )

## ◆ create_zip()

create_zip | ( |  | self,
|  |  | basename,
|  |  | build_dir )

## ◆ finalize_options()

finalize_options | ( |  | self | ) |

## ◆ initialize_options()

initialize_options | ( |  | self | ) |

## ◆ run()

run | ( |  | self | ) |

## Member Data Documentation

## ◆ DEFAULT_INSTALLERS

dict DEFAULT_INSTALLERS
| static

Initial value:
= {
'manylinux1_x86_64': ['gztar'],
'manylinux1_i686': ['gztar'],
'manylinux2010_x86_64': ['gztar'],
'manylinux2010_i686': ['gztar'],
'manylinux2014_x86_64': ['gztar'],
'manylinux2014_i686': ['gztar'],
'manylinux2014_aarch64': ['gztar'],
'manylinux2014_armv7l': ['gztar'],
'manylinux2014_ppc64': ['gztar'],
'manylinux2014_ppc64le': ['gztar'],
'manylinux2014_s390x': ['gztar'],
'manylinux_2_24_x86_64': ['gztar'],
'manylinux_2_24_i686': ['gztar'],
'manylinux_2_24_aarch64': ['gztar'],
'manylinux_2_24_armv7l': ['gztar'],
'manylinux_2_24_ppc64': ['gztar'],
'manylinux_2_24_ppc64le': ['gztar'],
'manylinux_2_24_s390x': ['gztar'],
'manylinux_2_28_x86_64': ['gztar'],
'manylinux_2_28_aarch64': ['gztar'],
'manylinux_2_28_ppc64le': ['gztar'],
'manylinux_2_28_s390x': ['gztar'],
# Everything else defaults to ['zip']
}

## ◆ description

str description = 'bundle built Panda3D applications into distributable forms'
| static

## ◆ dist_dir

dist_dir = os.path.join(os.getcwd(), 'dist')

## ◆ installers

dict installers = {}

## ◆ skip_build

bool skip_build = False

## ◆ user_options

user_options
| static

Initial value:
= build_apps.user_options + [
('dist-dir=', 'd', 'directory to put final built distributions in'),
('skip-build', None, 'skip rebuilding everything (for testing/debugging)'),
]